Skip to main content
PATCH
/
master-workflows
/
{id}
curl --request PATCH \
  --url https://api.getnexor.ai/api/public/master-workflows/{id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "Updated Pipeline",
  "description": "New description"
}
'
{
  "success": true,
  "master_workflow": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "Real Estate Pipeline",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "description": "Groups prospecting and closing workflows"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Keys are prefixed with nxr_live_.

Path Parameters

id
string<uuid>
required

Master workflow ID

Body

application/json
name
string

Master workflow name

description
string | null

Master workflow description

is_active
boolean

Whether the master workflow is active

Response

Master workflow updated successfully

success
boolean
required
Example:

true

master_workflow
object
required
Last modified on June 18, 2026